Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
Link Creation Properties
Property Lists (H5P) » String Creation Properties

## Detailed Description

This creation property applies to links only, and advises the library to automatically create missing intermediate groups when creating new objects.

Link creation property list functions (H5P)
Function | Purpose
--- | ---
H5Pset_create_intermediate_group/H5Pget_create_intermediate_group | Specifies/retrieves whether to create missing intermediate groups.

See also
  String Creation Properties

## Functions
herr_t | H5Pget_create_intermediate_group (hid_t plist_id, unsigned *crt_intmd)
| Determines whether property is set to enable creating missing intermediate groups.
herr_t | H5Pset_create_intermediate_group (hid_t plist_id, unsigned crt_intmd)
| Specifies in property list whether to create missing intermediate groups.

## Function Documentation

## ◆ H5Pget_create_intermediate_group()

herr_t H5Pget_create_intermediate_group | ( | hid_t | plist_id,
|  | unsigned * | crt_intmd )

Determines whether property is set to enable creating missing intermediate groups.

Parameters

  [in] | plist_id | Link creation property list identifier
  [out] | crt_intmd | Flag specifying whether to create intermediate groups upon creation of an object

Returns
  Returns a non-negative value if successful; otherwise, returns a negative value.

H5Pget_create_intermediate_group() determines whether the link creation property list `plist_id` is set to allow functions that create objects in groups different from the current working group to create intermediate groups that may be missing in the path of a new or moved object.

Functions that create objects in or move objects to a group other than the current working group make use of this property. H5Gcreate_anon() and H5Lmove() are examples of such functions.

If `crt_intmd` is positive, missing intermediate groups will be created; if `crt_intmd` is non-positive, missing intermediate groups will not be created.

Since
  1.8.0

## ◆ H5Pset_create_intermediate_group()

herr_t H5Pset_create_intermediate_group | ( | hid_t | plist_id,
|  | unsigned | crt_intmd )

Specifies in property list whether to create missing intermediate groups.

Parameters

  [in] | plist_id | Link creation property list identifier
  [in] | crt_intmd | Flag specifying whether to create intermediate groups upon the creation of an object

Returns
  Returns a non-negative value if successful; otherwise, returns a negative value.

H5Pset_create_intermediate_group()

Since
  1.8.0